Skip to main content
POST
/
payment_intents
Create payment intent
curl --request POST \
  --url https://api.atlas.kitchen/storefronts/v1/payment_intents \
  --header 'X-Channel-Id: <api-key>' \
  --header 'X-Session-Id: <api-key>'
{
  "amount": 2490,
  "tip": 0,
  "status": "pending",
  "atlas_pay_url": "https://pay.atlas.kitchen/intent/ab2c8505-c7bc-40ea-9f54-97774ce347b5",
  "currency": "SGD"
}

Authorizations

X-Channel-Id
string
header
required

Merchant storefront identifier. Provided during onboarding.

X-Session-Id
string
header
required

Diner session identifier. Created by GET /channel and returned in the X-Session-Id response header.

Response

Payment intent with checkout URL

amount
integer

Amount in cents

tip
integer
status
enum<string>
Available options:
pending,
processing,
capturing,
succeeded,
failed,
cancelled
atlas_pay_url
string | null

URL where the diner completes payment

currency
string
Example:

"SGD"